Bug 1263508 - Heavy program map usage can lead to a hang
Heavy program map usage can lead to a hang
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: autofs (Show other bugs)
7.2
All Linux
unspecified Severity medium
: rc
: ---
Assigned To: Ian Kent
Yongcheng Yang
: Regression
Depends On: 1263505
Blocks:
  Show dependency treegraph
 
Reported: 2015-09-15 22:44 EDT by Ian Kent
Modified: 2015-11-19 08:01 EST (History)
4 users (show)

See Also:
Fixed In Version: autofs-5.0.7-54
Doc Type: Bug Fix
Doc Text:
Cause: Changes made for bug 1162041 added a function call that was out of order and could introduce a deadlock in the process created to execute a program map. Consequence: This caused the program map to not be executed and the required mount to not be done as well as leaving stale process that can't complete. Fix: Move the out of order function call to the correct location in the program map execution module. Result: Program map executed, required mount attempted without leaving blocked stale processes.
Story Points: ---
Clone Of: 1263505
Environment:
Last Closed: 2015-11-19 08:01:07 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch - fix out of order call in program map lookup (2.07 KB, patch)
2015-09-15 22:46 EDT, Ian Kent
no flags Details | Diff
Patch - fix out of order call in program map lookup (updated) (1.99 KB, patch)
2015-09-17 04:01 EDT, Ian Kent
no flags Details | Diff

  None (edit)
Description Ian Kent 2015-09-15 22:44:01 EDT
This regression was introduced in rhel-7.2 also, in autofs
revision 49.

+++ This bug was initially created as a clone of Bug #1263505 +++

Description of problem:

Due to a change to program map environment variable naming
that was included in RHEL-6.7 heavy program map usage can
lead to an automount(8) hang.

Version-Release number of selected component (if applicable):
autofs-5.0.5-113.

The problem was introduced in autofs revision 111.

--- Additional comment from Ian Kent on 2015-09-15 22:37:15 EDT ---

Upstream fix, still needs to be back ported.
Comment 1 Ian Kent 2015-09-15 22:46:26 EDT
Created attachment 1073883 [details]
Patch - fix out of order call in program map lookup

Upstream fix, still needs to be back ported.
Comment 3 XuWang 2015-09-15 23:31:08 EDT
This topic include the detail info about this bug.

http://www.spinics.net/lists/autofs/msg01050.html
Comment 6 Ian Kent 2015-09-17 04:01:31 EDT
Created attachment 1074323 [details]
Patch - fix out of order call in program map lookup (updated)

Updated patch for RHEL-7 package.
Comment 9 errata-xmlrpc 2015-11-19 08:01:07 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2015-2417.html

Note You need to log in before you can comment on or make changes to this bug.